| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "uiDomain.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (5 global), complexTypes (5), element groups (3)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/uiDomain.xsd; see XML source
Imports Schemas (1):
xml.xsd [src]
Included in Schemas (1):
ditabase.xsd [src]

All Element Summary
menucascade |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of menucascade.class)
Content: | complex, 18 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <menucascade> element is used to document a series of menu choices, or to show any choice on a menu from which the user needs to choose. »
screen |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of screen.class)
Content: | mixed, 22 attributes, 38 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <screen> element contains or refers to a textual representation of a computer screen or user interface panel (window).
shortcut |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of shortcut.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <shortcut> element identifies a keyboard shortcut for a menu or window action. »
uicontrol |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of uicontrol.class)
Content: | mixed, 18 attributes, 15 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The user interface control (<uicontrol>) element represents a button, entry field, menu item, or other object that allows the user to control the interface. »
wintitle |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of wintitle.class)
Content: | mixed, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The window title <wintitle> element represents the title text that appears at the top of a window or dialog, and applies to wizard titles, wizard page titles, and pane titles. »

Complex Type Summary
menucascade.class |
Namespace: | {no namespace}
Content: | complex, 17 attributes, 1 element
Defined: | globally; see XML source
Includes: | declarations of 2 attributes, 1 element
Referenced: | by 1 location
screen.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 21 attributes, 38 elements
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
shortcut.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
uicontrol.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 15 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes, 2 elements
Referenced: | by 1 location
wintitle.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location

Element Group Summary
ui-d-keyword |
Namespace: | {no namespace}
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location
ui-d-ph |
Namespace: | {no namespace}
Content: | 2 elements
Defined: | globally; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
ui-d-pre |
Namespace: | {no namespace}
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.